
ChiliProject - Bug # 383: Fix broken tests in unstable caused by conflicting to_utf8 method names

Status: Closed Priority: High
Author: Eric Davis Category: Testing
Created: 2011-05-06 Assignee: Eric Davis
Updated: 2011-06-17 Due date:
Remote issue URL:
Affected version: unstable
Description: A few of the tests are failing in unstable. The reason is because several helpers all define the same @to_utf8@ 

method but with slightly different method bodies.

Associated revisions
2011-05-07 01:38 am - Eric Davis
[#383] Fixed failing tests due to a helper method name conflict (to_utf8)

Introduced in 1eee7312f60267b0f8e575cc96302812f2dc38a8

2011-06-17 11:36 pm - Eric Davis
[#383] Fix for undefined_method 'to_utf8'

Contributed by Artem Naluzhnyy

History
2011-05-06 11:39 pm - Eric Davis
- Status changed from Open to Closed

Fixed in commit:13de4cc

2011-06-11 04:51 pm - Artem Naluzhnyy
- Status changed from Closed to Open

Looks like you missed several @to_utf8@ calls in @app/views/common/_diff.rhtml@.

Patch to fix appropriate @undefined method `to_utf8'@ errors: <pre>
--- _diff.rhtml.orig 2011-06-10 23:36:19.000000000 +0300
+++ _diff.rhtml 2011-06-11 19:39:59.000000000 +0300
@@ -5,7 +5,7 @@
 <% if diff.diff_type == 'sbs' -%>
 <table class="filecontent">
 <thead>
-<tr><th colspan="4" class="filename"><%=to_utf8 table_file.file_name %></th></tr>
+<tr><th colspan="4" class="filename"><%=to_utf8_for_attachments table_file.file_name %></th></tr>
 </thead>
 <tbody>
 <% table_file.each_line do |spacing, line| -%>
@@ -17,11 +17,11 @@
 <tr>
   <th class="line-num"><%= line.nb_line_left %></th>
   <td class="line-code <%= line.type_diff_left %>">
-    <pre><%=to_utf8 line.html_line_left %></pre>
+    <pre><%=to_utf8_for_attachments line.html_line_left %></pre>
   </td>
   <th class="line-num"><%= line.nb_line_right %></th>
   <td class="line-code <%= line.type_diff_right %>">
-    <pre><%=to_utf8 line.html_line_right %></pre>
+    <pre><%=to_utf8_for_attachments line.html_line_right %></pre>
   </td>
 </tr>
 <% end -%>
</pre>

2011-06-17 09:38 pm - Eric Davis
- Subject changed from Fix broken tests in unstable to Fix broken tests in unstable caused by conflicting to_utf8 method names

- Status changed from Open to Closed

Thanks, fixed in commit:9f2c412
